OGRE: Ogre::ParticleIterator Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ParticleIterator Class Reference

Convenience class to make it easy to step through all particles in a ParticleSystem. More...

`#include <OgreParticleIterator.h>`

List of all members.

## Public Member Functions

bool | end (void)
Particle * | getNext (void)
| Returns a pointer to the next particle, and moves the iterator on by 1 element.

## Protected Member Functions

| ParticleIterator (std::list< Particle * >::iterator start, std::list< Particle * >::iterator end)
| Protected constructor, only available from ParticleSystem::getIterator.

## Protected Attributes

std::list< Particle * >::iterator | mPos
std::list< Particle * >::iterator | mStart
std::list< Particle * >::iterator | mEnd

## Friends

class | ParticleSystem

## Detailed Description

Convenience class to make it easy to step through all particles in a ParticleSystem.

Definition at line 39 of file OgreParticleIterator.h.

## Constructor & Destructor Documentation

Ogre::ParticleIterator::ParticleIterator | ( | std::list< Particle * >::iterator | start,
|  | std::list< Particle * >::iterator | end
| ) | `[protected]`

| Protected constructor, only available from ParticleSystem::getIterator.

## Member Function Documentation

bool Ogre::ParticleIterator::end | ( | void |  | ) |

Particle* Ogre::ParticleIterator::getNext | ( | void |  | ) |

| Returns a pointer to the next particle, and moves the iterator on by 1 element.

## Friends And Related Function Documentation

friend class ParticleSystem`[friend]`

| Definition at line 41 of file OgreParticleIterator.h.

## Member Data Documentation

std::list<Particle*>::iterator Ogre::ParticleIterator::mEnd`[protected]`

| Definition at line 45 of file OgreParticleIterator.h.

std::list<Particle*>::iterator Ogre::ParticleIterator::mPos`[protected]`

| Definition at line 43 of file OgreParticleIterator.h.

std::list<Particle*>::iterator Ogre::ParticleIterator::mStart`[protected]`

| Definition at line 44 of file OgreParticleIterator.h.

The documentation for this class was generated from the following file:

- OgreParticleIterator.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:37 2008